Package org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface VQLImportSection

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.xtext.xtype.XImportSection`
  All Known Implementing Classes:
    `VQLImportSectionImpl`

      public interface VQLImportSection
      extends org.eclipse.xtext.xtype.XImportSection

  A representation of the model object 'VQL Import Section'.

  The following features are supported:

  - `Package Import`
  - `Pattern Import`
  See Also:
    `PatternLanguagePackage.getVQLImportSection()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.common.util.EList<PackageImport>` | `getPackageImport()` | Returns the value of the 'Package Import' containment reference list.
    `org.eclipse.emf.common.util.EList<PatternImport>` | `getPatternImport()` | Returns the value of the 'Pattern Import' containment reference list.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.xtext.xtype.XImportSection

      `getImportDeclarations`

- - ### Method Detail

    - #### getPackageImport

          org.eclipse.emf.common.util.EList<PackageImport> getPackageImport()

      Returns the value of the 'Package Import' containment reference list. The list contents are of type `PackageImport`.
      Returns:
        the value of the 'Package Import' containment reference list.
      See Also:
        `PatternLanguagePackage.getVQLImportSection_PackageImport()`
      Generated:
      Model:
        containment="true"

    - #### getPatternImport

          org.eclipse.emf.common.util.EList<PatternImport> getPatternImport()

      Returns the value of the 'Pattern Import' containment reference list. The list contents are of type `PatternImport`.
      Returns:
        the value of the 'Pattern Import' containment reference list.
      See Also:
        `PatternLanguagePackage.getVQLImportSection_PatternImport()`
      Generated:
      Model:
        containment="true"

    - #### toString

          java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model: